﻿using SafeAuthActivate.Sm;

namespace SafeAuthActivate
{
    internal class Program
    {
        static void Main(string[] args)
        {
            while (true)
            {
                try
                {
                    var timeYZ = true;
                    var time = "";
                    Console.Write("请输入机器码：");
                    var machineCode = Console.ReadLine();
                    var hardwareId = CryptogramUtil.Sm4Decrypt(machineCode);
                    while (timeYZ)
                    {
                        Console.Write("请输入授权到期时间（例：2024-01-01）：");
                        time = Console.ReadLine();
                        timeYZ = !DateTime.TryParse(time, out var activeTime);
                        if (timeYZ)
                        {
                            Console.WriteLine("时间输入错误格式为【yyyy-MM-dd】（例：2024-01-01）");
                        }
                    }

                    var code = CryptogramUtil.Sm2Encrypt(hardwareId + "$" + time);
                    Console.WriteLine("===============激活码生成成功请注意保存！=====================");
                    Console.WriteLine(code);
                    Console.WriteLine("==============================================================");
                    Console.Write("按任意键退出！");
                    Console.ReadLine();
                    Environment.Exit(0);
                }
                catch (Exception)
                {
                    Console.WriteLine("机器码效验错误，请检查机器码正确性！");
                }
            }
        }
    }
}
